### Function

# Gdk.keyval_from_name

#### Declaration [src]

    guint
    gdk_keyval_from_name (
      const char* keyval_name
    )

#### Description [src]

Converts a key name to a key value.

The names are the same as those in the `gdk/gdkkeysyms.h` header file but without the leading “GDK_KEY_”.

#### Parameters

`keyval_name` | `const char*`
| a key name
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `guint`
the corresponding key value, or %GDK_KEY_VoidSymbol if the key name is not a valid key